DialBeg(__AdrTable)  // данные по алиментам из ЛС
                     // вызов модуля из "Начало расчета таблицы"__:
                     // LoadScriptModule("user\\alim");return DialBeg(__AdrTable);
{
 var CTabl = CreateObject("CurPrnTbl");
 CTabl.Initial(__AdrTable);

 int CountCodAlim = 0;

 for (int zap=0; zap<CTabl.Count_Rcr(); zap++)
  {
    int tn = atoi(CTabl.TextS("C_FIO",zap));   

    string m_r = CTabl.TextS("Date_Beg",zap);    //  месяц расчёта  dd.mm.yyyy
    if( strlen(FreeSpaceString(m_r,3,"")) < 10 )   m_r = CTabl.TextS("Date",zap);    //  для таблицы без "Date_Beg"
    
    var mon_r  = CreateObject("KDate");          //  объект класса
    mon_r.SetDate(to_string(m_r));               //  инициализируем 

    char ls1[90];
    lsname(Find_Full_TN(tn),ls1);   FreeSpaceString(ls1,3,"");    //double llss = atof(ls1);
    lsread(ls1,0);                  // инициализация ТН

   // ищем 707_вид (219)
   char str_ls_707[90], str_comm[90];

   var BegStr = CreateObject("KDate");  // дата начала действия строки   
   var EndStr = CreateObject("KDate");  // дата конца действия строки   

   int Kod;  
   double KodVidaNU;
   for ( int i=0; i<countkod; i++ )            // цикл по строкам видов в ЛС
    {
     Kod = GetIntegerCode(i);    //  целый (короткий) код

     if( Kod == 219 )            
      {

       double BegD = GetBegDate(i);  BegStr.SetDateD(BegD);                                         
       double EndD = GetEndDate(i);  EndStr.SetDateD(EndD);                          

       if( ( BegStr.LEM(mon_r))  && ( EndStr.GEM(mon_r)) )     // если вид действ в рас месяце
        {
         CountCodAlim++;                               
     
         Rkv_from(GetCode(i),"лиц_счет", str_comm, str_ls_707);

         if(CountCodAlim == 1)   CTabl.STextS("Alim_1",zap,to_string(str_ls_707));
         if(CountCodAlim == 2)   CTabl.STextS("Alim_2",zap,to_string(str_ls_707));
         if(CountCodAlim == 3)   CTabl.STextS("Alim_3",zap,to_string(str_ls_707));
         if(CountCodAlim == 4)   CTabl.STextS("Alim_4",zap,to_string(str_ls_707));
         if(CountCodAlim == 5)   CTabl.STextS("Alim_5",zap,to_string(str_ls_707));

         if(CountCodAlim == 1)   CTabl.STextS("ProcAlim_1",zap,to_string(GetBase(i)));
         if(CountCodAlim == 2)   CTabl.STextS("ProcAlim_2",zap,to_string(GetBase(i)));
         if(CountCodAlim == 3)   CTabl.STextS("ProcAlim_3",zap,to_string(GetBase(i)));
         if(CountCodAlim == 4)   CTabl.STextS("ProcAlim_4",zap,to_string(GetBase(i)));
         if(CountCodAlim == 5)   CTabl.STextS("ProcAlim_5",zap,to_string(GetBase(i)));

        }
      }
    }



  }
}



